curl --request PATCH \
--url 'https://api.scanova.io/forms/notification/21/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": false,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T11:30:00+05:30"
}
Formular-Benachrichtigungen
Formular-Benachrichtigung aktualisieren
PATCH /forms/notification//
PATCH
/
forms
/
notification
/
{pk}
/
curl --request PATCH \
--url 'https://api.scanova.io/forms/notification/21/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": false,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T11:30:00+05:30"
}
Aktualisiert eine Formular-Bericht-Benachrichtigung.
Sowohl
Erfordert einen Management-API-Schlüssel mit
MANAGEMENT_API- (oder MANAGEMENT_API_SANDBOX-)Quota und die Berechtigung LEAD_GENERATION_EMAIL_REPORT_CAN_CREATE_UPDATE, gesendet als roher Authorization-Header-Wert — siehe die Übersicht über die Management API.PUT https://api.scanova.io/forms/notification/{pk}/
PATCH https://api.scanova.io/forms/notification/{pk}/
integer
erforderlich
Die
id der Benachrichtigung.string
Interner Name.
string
Empfänger-E-Mail-Adresse(n).
string
CC-E-Mail-Adresse(n).
string
BCC-E-Mail-Adresse(n).
integer
Einer der
key-Werte aus Häufigkeiten für Formular-Benachrichtigungen auflisten.array
Ersetzt die vollständige Menge der
form_ids, über die diese Benachrichtigung berichtet.boolean
Die Benachrichtigung aktivieren oder deaktivieren.
curl --request PATCH \
--url 'https://api.scanova.io/forms/notification/21/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": false,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T11:30:00+05:30"
}
PUT als auch PATCH werden unterstützt. 404, wenn pk keiner Benachrichtigung entspricht, die diesem Konto gehört.
Verwandte Themen
- Formular-Benachrichtigung abrufen — vor der Aktualisierung ansehen.
- Formular-Benachrichtigung löschen — sie vollständig entfernen.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Architektur, zu der dieser Endpunkt gehört.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Antwort
200
Notification updated.
War diese Seite hilfreich?